import QtQuick 1.1
import com.victron.velib 1.0
import "utils.js" as Utils

MbPage
{
        id: root
        property string bindPrefix: "com.victronenergy.control.P-0"

        model: VisualItemModel {


                MbSwitch { name: "Restart GUI"; bind: "com.victronenergy.control.P-1/Gui"; invertSense: false}
                MbSwitch { name: "Restart Control"; bind: "com.victronenergy.control.P-1/Control"; invertSense: false}
                MbSwitch { name: "Restart REC ABMS service"; bind: "com.victronenergy.control.P-1/RecBMS"; invertSense: false}
                MbSwitch { name: "Restart 1-Wire temp sensors"; bind: "com.victronenergy.control.P-1/Temperature"; invertSense: false}
                MbSwitch { name: "Restart I2C tank sensor"; bind: "com.victronenergy.control.P-1/Tank"; invertSense: false}
                MbSwitch { name: "Restart UDP wireless sensors"; bind: "com.victronenergy.control.P-1/Udp"; invertSense: false}
                MbSwitch { name: "Restart WLAN Hotspot"; bind: "com.victronenergy.control.P-1/Hostapd"; invertSense: false}
                MbSwitch { name: "Restart SystemCalc service"; bind: "com.victronenergy.control.P-1/Systemcalc"; invertSense: false}
                MbSwitch { name: "Restart to shell without GUI"; bind: "com.victronenergy.control.P-1/Headless"; invertSense: false}
                MbOK {
                        id: reboot
                        description: qsTr("Reboot?")
                        writeAccessLevel: User.AccessUser
                        onClicked: {
                                toast.createToast(qsTr("Rebooting..."), 10000, "icon-restart-active")
                                vePlatform.reboot()
                        }
                }
                MbSwitch { name: "Shutdown and power off"; bind: "com.victronenergy.control.P-1/Halt"; invertSense: false}

        }
}

